Subject: SMILES database

From: "M. Nicklaus" <[email-masked]>
Date: Wed, 13 Aug 1997 16:05:52 -0400 (EDT)

Hi all,

On Mon, 21 Jul 1997, Richard Bone <[email-masked]> wrote:
> Following up on my enquiry about SMILES databases last week, here is a brief
> summary of the responses.

We have converted the (open part) of the NCI database to SMILES
format.  It will be made available to the public very shortly,
probably at http://epnws1.ncifcrf.gov:2345/dis3d/3ddatabase/pubstruc.html.

This SMILES database contains essentially all open structures 
of the NCI database up to about a year ago or so.  The exact cutoff
date is still being decided upon, but the database will contain
on the order of 220,000 compounds.

No structures were excluded a priori based on chemical grounds.
This means, for example, that metal-containing compounds were
left in the database, and it is up to the user to ascertain
the usefulness of these and other SMILES strings.

The program Corina v. 1.7 was used to generate 3D coordinates from
the connection tables.  Using a little Perl script, the conversion
program Babel v. 1.6 was then used to generate the SMILES strings
from the 3D coordinates, which Babel needs (see below).  
(See http://schiele.organik.uni-erlangen.de/corina/corina.html,
http://mercury.aichem.arizona.edu/babel.html for the home pages of
Corina and Babel, respectively.)

This procedure clearly entails the risk Wolf-Dietrich Ihlenfeldt 
<[email-masked]> described in his posting on 
Wed, 16 Jul 1997:
> BTW, beware if you want to repeat this with the popular
> Babel conversion program (V1.6). First, the program will not be
> able to read the original datafile because it contains neither
> display coordinates nor 3D coordinates, only connectivity. Babel
> will report a cryptic message 'No atoms found in this structure',
> although the file is syntactically correct. You
> must use the 3D-enhanced file. Second, from the first 1000
> records the CACTVS results and Babel results are
> structurally different for 69 records (7%). As far as I have checked,
> this is all because the MDL read routines of Babel do not
> read the atomic charge field in the SD file. This is of
> course deadly when reading back the SMILES string without charge
> information, since the SMILES standard contains hydrogen
> addition rules. So a nitro group which was coded with
> a positively charged N and a negatively charged O will suddenly
> contain an N-O-H group because the SMILES string N(=O)O without
> charge information demands
> the addition of a hydrogen atom to the single-bonded oxygen.
> The N will also receive an extra hydrogen, or end up as a radical,
> depending on your reader software.

The problem with the nitro groups can be trivially fixed by string
substitution, and we can do this in the NCI SMILES database.
However, we'd first like to ask prospective users whether they
would prefer the 'raw' Babel output, or whether they want us to 
apply this fix.  Quite exactly 7% of the compounds in the NCI 
database contain a nitro group, so our fix should take care of 
the majority of the problems Wolf-Dietrich Ihlenfeldt alluded to.

No other patches were applied, and together with the presence of
metals and other 'weird' things in the database this means that 
the use of this database is at anyone's own risk.  So, please
caveat emptor!  Of course, if people find specific problems, we'd
like to know about them so that they can eventually be fixed (but
no promises are made!)

A few more technical data:  The file with the SMILES database is
about 15 MB large (uncompressed).  Each record contains the NSC 
number and the CAS RN at the beginning; a simple  colrm 1 23 
will create a file with just the SMILES strings.  The largest 
SMILES string in the database is just under 600 characters long.

Marc C. Nicklaus & Bruno Bienfait

------------------------------------------------------------------------
 Marc C. Nicklaus, Ph.D.                 National Institutes of Health
 E-mail: [email-masked]               Bldg 37, Rm 5B29
 Phone:  (301) 402-3111                  BETHESDA, MD 20892-4255    USA
 Fax:    (301) 496-5839    http://www.nci.nih.gov/intra/lmch/MCNBIO.HTM
    Laboratory of Medicinal Chemistry, National Cancer Institute,  &
  Lab. of Structural Biology, Div. of Computer Research and Technology
------------------------------------------------------------------------